summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2012-06-06 09:19:51 +0000
committerAndreas Proschofsky <suka@gentoo.org>2012-06-06 09:19:51 +0000
commitb0b2e18c3fd7adc072d06440780baa49d04bae10 (patch)
treeda15f3672ca206f82e67af6871a64d6c50ea89bd /gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild
parentAnother bunch of GNOME 3.5.2 updates (diff)
downloadsuka-b0b2e18c3fd7adc072d06440780baa49d04bae10.tar.gz
suka-b0b2e18c3fd7adc072d06440780baa49d04bae10.tar.bz2
suka-b0b2e18c3fd7adc072d06440780baa49d04bae10.zip
And the next GNOME 3.5.2 round...
svn path=/; revision=339
Diffstat (limited to 'gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild')
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild185
1 files changed, 185 insertions, 0 deletions
diff --git a/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild b/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild
new file mode 100644
index 0000000..606eb70
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_DEPEND="2:2.5"
+
+inherit autotools eutils gnome2 multilib pax-utils python
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="http://live.gnome.org/GnomeShell"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+bluetooth systemd"
+KEYWORDS="~amd64 ~x86"
+
+# gnome-desktop-2.91.2 is needed due to header changes, db82a33 in gnome-desktop
+# latest g-c-c is needed due to https://bugs.gentoo.org/show_bug.cgi?id=360057
+# libXfixes-5.0 needed for pointer barriers
+COMMON_DEPEND=">=app-crypt/gcr-3.3.90[introspection]
+ >=dev-libs/glib-2.31.6:2
+ >=dev-libs/gjs-1.31.22
+ >=dev-libs/gobject-introspection-0.10.1
+ >=x11-libs/gtk+-3.3.9:3[introspection]
+ >=media-libs/clutter-1.9.16:1.0[introspection]
+ >=dev-libs/folks-0.5.2
+ >=dev-libs/json-glib-0.13.2
+ >=dev-libs/libcroco-0.6.2:0.6
+ >=gnome-base/gnome-desktop-3.5.1:3
+ >=gnome-base/gsettings-desktop-schemas-2.91.91
+ >=gnome-base/gnome-keyring-3.3.90
+ >=gnome-base/gnome-menus-2.29.10:3[introspection]
+ gnome-base/libgnome-keyring
+ >=gnome-extra/evolution-data-server-2.91.6
+ >=media-libs/gstreamer-0.10.16:0.10
+ >=media-libs/gst-plugins-base-0.10.16:0.10
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.17.5[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=x11-libs/libXfixes-5.0
+ >=x11-wm/mutter-3.4.1[introspection]
+ >=x11-libs/startup-notification-0.11
+
+ app-misc/ca-certificates
+ dev-libs/dbus-glib
+ dev-libs/libxml2:2
+ gnome-base/librsvg
+ media-libs/libcanberra
+ media-libs/mesa
+ media-sound/pulseaudio
+ net-libs/libsoup:2.4[introspection]
+ x11-libs/libX11
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/pango[introspection]
+ x11-apps/mesa-progs
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.1.0[introspection] )
+ >=net-misc/networkmanager-0.8.999[introspection]
+ systemd? ( >=sys-apps/systemd-31 )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Each block:
+# 1. Pull in polkit-0.101 for pretty authorization dialogs
+# 2. Introspection stuff + dconf needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. accountsservice is needed for GdmUserManager (0.6.14 needed for fast
+# user switching with gdm-3.1.x)
+# 6. caribou needed for on-screen keyboard
+# 7. xdg-utils needed for xdg-open, used by extension tool
+# 8. gnome-icon-theme-symbolic neeed for various icons
+# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/polkit-0.101[introspection]
+
+ >=gnome-base/dconf-0.4.1
+ sys-power/upower[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+
+ >=gnome-base/gnome-settings-daemon-2.91
+ >=gnome-base/gnome-control-center-2.91.92-r1[bluetooth(+)?]
+
+ >=sys-apps/accountsservice-0.6.14[introspection]
+
+ >=app-accessibility/caribou-0.3
+
+ x11-misc/xdg-utils
+
+ x11-themes/gnome-icon-theme-symbolic
+
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+
+ !systemd? ( sys-auth/consolekit )
+"
+DEPEND="${COMMON_DEPEND}
+ >=sys-devel/gettext-0.17
+ >=dev-util/intltool-0.40
+ gnome-base/gnome-common
+ virtual/pkgconfig
+ !!=dev-lang/spidermonkey-1.8.2*"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+pkg_setup() {
+ DOCS="AUTHORS NEWS README"
+ # Don't error out on warnings
+ G2CONF="${G2CONF}
+ --enable-compile-warnings=maximum
+ --disable-schemas-compile
+ --disable-jhbuild-wrapper-script
+ $(use_with bluetooth)
+ $(use_with systemd)
+ --with-ca-certificates=${EPREFIX}/etc/ssl/certs/ca-certificates.crt
+ BROWSER_PLUGIN_DIR=${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ epatch "${FILESDIR}/${PN}-3.2.1-automagic-gnome-bluetooth.patch"
+
+ gnome2_src_prepare
+
+ # Drop G_DISABLE_DEPRECATED for sanity on glib upgrades; bug #384765
+ # Note: sed Makefile.in because it is generated from several Makefile.ams
+ sed -e 's/-DG_DISABLE_DEPRECATED//g' \
+ -i src/Makefile.in browser-plugin/Makefile.in || die "sed failed"
+}
+
+src_install() {
+ gnome2_src_install
+ python_convert_shebangs 2 "${ED}/usr/bin/gnome-shell-extension-tool"
+
+ # Required for gnome-shell on hardened/PaX, bug #398941
+ pax-mark mr "${ED}usr/bin/gnome-shell"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version '>=media-libs/gst-plugins-good-0.10.23' || \
+ ! has_version 'media-plugins/gst-plugins-vp8'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install >=media-libs/gst-plugins-good-0.10.23"
+ ewarn "and media-plugins/gst-plugins-vp8, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version ">=x11-base/xorg-server-1.11"; then
+ ewarn "If you use multiple screens, it is highly recommended that you"
+ ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+ ewarn "pointer barriers which will make it easier to use hot corners."
+ fi
+
+ if has_version "<x11-drivers/ati-drivers-12"; then
+ ewarn "GNOME Shell has been reported to show graphical corruption under"
+ ewarn "x11-drivers/ati-drivers-11.*; you may want to use GNOME in"
+ ewarn "fallback mode, or switch to open-source drivers."
+ fi
+
+ if has_version "media-libs/mesa[video_cards_radeon]"; then
+ elog "GNOME Shell is unstable under classic-mode r300/r600 mesa drivers."
+ elog "Make sure that gallium architecture for r300 and r600 drivers is"
+ elog "selected using 'eselect mesa'."
+ if ! has_version "media-libs/mesa[gallium]"; then
+ ewarn "You will need to emerge media-libs/mesa with USE=gallium."
+ fi
+ fi
+
+ if has_version "media-libs/mesa[video_cards_intel]"; then
+ elog "GNOME Shell is unstable under gallium-mode i915/i965 mesa drivers."
+ elog "Make sure that classic architecture for i915 and i965 drivers is"
+ elog "selected using 'eselect mesa'."
+ if ! has_version "media-libs/mesa[classic]"; then
+ ewarn "You will need to emerge media-libs/mesa with USE=classic."
+ fi
+ fi
+}